Subject: [os2genau_digest] No. 1414
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Mon, 8 Jan 2007 00:00:31 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Sunday 07 January 2007
 Number  1414
**************************************************

Subjects for today
 
1   Quotes : Alan Duval <amoht at westnet dot com dot au>
2  Re:  rexx/enviroment problem ? : Peter Moylan <peter at ozebelg dot org>

**= Email   1 ==========================**

Date:  Sun, 07 Jan 2007 20:48:06 +1100
From:  Alan Duval <amoht at westnet dot com dot au>
Subject:   Quotes

Hi,

Thought these quotes might be of interest as they could apply to 
computers & a certain OS.

*Advertising Terms Explained* 
<http://www.crosswalkmail dot com/erhuhewm_pkknizq.html>

NEW - Different color from previous design.

ALL NEW - Parts are not interchangeable with previous design.

EXCLUSIVE - Imported product.

UNMATCHED - Almost as good as the competition.

FOOLPROOF OPERATION - No provision for adjustments.

ADVANCED DESIGN - The advertising agency doesn't understand it.

IT'S HERE AT LAST - Rush job. Nobody knew it was coming.

FIELD TESTED - Manufacturer lacks test equipment.

HIGH ACCURACY - Unit on which all parts fit.

FUTURISTIC - No other reason why it looks the way it does.

REDESIGNED - Previous flaws fixed - we hope.

DIRECT SALES ONLY - Factory had a big argument with distributor.

YEARS OF DEVELOPMENT - We finally got one to work.

BREAKTHROUGH - We finally figured out a use for it.

MAINTENANCE FREE - Impossible to fix.

MEETS ALL STANDARDS - Ours, not yours.

SOLID-STATE - Heavy as anything!

HIGH RELIABILITY - We made it work long enough to ship it.

Regards,

Alan Duval
----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Sun, 07 Jan 2007 23:42:18 +1100
From:  Peter Moylan <peter at ozebelg dot org>
Subject:  Re:  rexx/enviroment problem ?

Ian Manners wrote:
> Hi Dennis
> 
>> The whole thing seems stupid, but the command copy is a command
>> interperator command and not a stand alone program like xcopy.exe is.
>> Therefore, if it is not being invoked it has to be because the
>> command interperater is not running. As it is being invoked by
>> another program, that other program must have suspended | killed | be
>> running outside the command interperater environment.

>> Therefore you may need to call cmd.exe with 'copy 'messagefile'
>> C:\tmp' as tit's parameters.
> 
> That didnt work, tried that previously.

I was away when this discussion started, but a possible explanation has
just occurred to me. If a program is running detached (i.e. as a daemon
without access to keyboard/screen/mouse) then any process that it starts
must also run detached. This is a consequence of the way environments
are inherited and I don't think there's any way to change it. This
means, for example, that if a Weasel filter needs to write to the screen
then Weasel cannot be run detached (or the filter will fail to run
properly). From vague memory, I think you are running one or both of
Weasel and ClamAV as detached processes.

 From memory, I think that cmd.exe is able to run detached but that some
of its commands won't work in that case. My suspicion is that COPY will
fail in a detached process because COPY expects to write to the screen.
If my guess is correct, then the answer could be as simple as adding a
'>nul' to the end of the COPY command.

-- 
Peter Moylan                          peter at ozebelg dot org
                                       peter.moylan at optusnet dot com dot au
                                       http://www.pmoylan dot org

Please note the changed e-mail and web addresses.  The domain
eepjm.newcastle.edu.au no longer exists, and I can no longer
receive mail at my newcastle.edu.au addresses.  The optusnet
address could disappear at any time.
----------------------------------------------------------------------------------